package cc.toph.simplycompat.forge;

import cc.toph.simplycompat.SimplyCompat;
import dev.architectury.platform.forge.EventBuses;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;

@Mod(SimplyCompat.MOD_ID)
public final class SimplyCompatForge {

  @SuppressWarnings("removal")
  public SimplyCompatForge() {
    // Submit our event bus to let Architectury API register our content on the right time.
    EventBuses.registerModEventBus(
      SimplyCompat.MOD_ID,
      FMLJavaModLoadingContext.get().getModEventBus()
    );

    // Run our common setup.
    SimplyCompat.init();
  }
}
