package cc.toph.simplycompat.fabric;

import cc.toph.simplycompat.SimplyCompat;
import cc.toph.simplycompat.SimplyCompatExpectPlatform;
import net.fabricmc.loader.api.FabricLoader;

import java.nio.file.Path;

public class SimplyCompatExpectPlatformImpl {
  /**
   * Implementation of {@link SimplyCompatExpectPlatform#getConfigDirectory()}.
   */
  public static Path getConfigDirectory() {
    return FabricLoader.getInstance().getConfigDir();
  }

  /**
   * Implementation of {@link SimplyCompatExpectPlatform#getConfigDirectory()}.
   */
  public static String getVersion() {
    return FabricLoader.getInstance().getModContainer(SimplyCompat.MOD_ID).get().getMetadata().getVersion().toString();
  }


}